---
title: Authentication
slug: neurons-api/authentication
createdAt: 2026-08-19T08:34:10.356Z
---

The authentication endpoint enables you to retrieve the access token and the expiration time. You can obtain the client\_id and client\_secret by creating an App Registration. For more information, see [How to Authenticate to the Neurons](docId\:g63kPQj5_TALr1zpNkeeN).

### HTTP Method

POST

### Request URI

https\://nvuprd-sfc.ivanticloud.com/\<tenantId>/connect/token

## Request Body Parameters

Unless stated, these parameters are mandatory.

| Name           | Type                                          | Description                                            |
| -------------- | --------------------------------------------- | ------------------------------------------------------ |
| grant\_type    | Hard-coded string                             | client\_credentials                                    |
| client\_id     | String                                        | The requesting client ID.                              |
| client\_secret | String                                        | The client secret created during app registration.     |
| scope          | Hard-coded string: distribution.service.write | The assigned scope (role) of the authentication token. |

### Request Body

POST https\://nvuprd-sfc.ivanticloud.com/11111111-1111-1111-1111-59115d65c3e7/connect/token

POST /tenantId/connect/token HTTP/1.1

Host: nvuprd-sfc.ivanticloud.com

Accept-Encoding: gzip, deflate, br

Content-Type: application/x-www-form-urlencoded

Content-Length: 191

grant\_type=client\_credentials\&client\_id=AppReg\_customClientType\_\<tenant Id>\&client\_secret=\<client secret>\&scope=distribution.service.write

### Response Body

```bash
{
DBM9by5dP9I4hj9nU1LKahaDR/Dpx8UyofbY/byTTlzNltJu6Hx7lDmH51cV1GaxXRIF5ooJBCNDGQyzmmQnR9Qb61MQdwbglKUsRMKIjW1oEau7z1v/
wOKwBpSllH5gEvAWtPHo/FieD7+WgTpra/2PQiADhMU2BFrJgGU7aOMpuD5wngBgwJnmT3qjwIaJSuwLoVxS0u47nhCN4ctg5KdOftx3ICL04JLrYEmOQ1p8kHkTKG8ZpqSVQvsLuY2lF+h5k6GCOLIFrVXwVeLSm1sYx5ofcMYffJOnHU+0r4egeU1KAYynx14X7JvS/
CXz+cNk/CSSoTbOshVLnkPXhpvs2kYl5RQAqHj7tY6YqN0Ng6QbhTa6lYQzVmfU4264F91nY0cyQnUzd4fo6wgrHsLIlEc711b2Cj/
ekt654hrJU0MKLmUnfuBbjLsD+MzMXHE8FAboIGqGzulD9CMzbj7qo6JaVhf51S5zwUV283VkmcD3gF4sFntVl971SxN8kyruEYzWYCKH4xQq4bGhKids0sEKO/
Ubi2IH2+1TzzeyTGfJm9lf0NptmAKGh6JQRIBH95y5Lgkb1b2DlItH8nEKd6RTMxSxYEptsB2+Z/
ssIKkxvN3Y1Nu1ZN4Wid87zNpgBZgnJvfWaGxUfSkwlM0CpgCFfaxfdiVqx2uLsLlvYV7isM3pnStyZ9z7muOYgUDkhDBBTMqSTQgHjgadZFIuEjDO/
M7nQgaVhNu+u528cIq2g4GY6fi+fuOgqt7SzSfiXefQ+WxK5iEYlH+42U9C4r0gKtwuK8seSS/5STNXOw4eu4/EtuvTVIppdnKF7uRI+ZzlkD3Qk3Cz6+/Y/
lfydGFbAnRwr0Ef95gZ215oZrZqPQsdxiQo/cp2g1jZt3Sx/+09CjLp5zD469/KLBGUtb8dp6o5OT9oGohUnYDGXGQ1wzkdqg6ktI9JGdOfkDcOKdiAxPxGfTwbo0mWVn8VMalB1Z0fHv+gs4qroJlVr5PA4waFNwrlhX1OQjprLZhjOCkceAyp/
XabwwkQ+DUgKTuo9a62xrj8FPwJHDMTArPle/D90FtdFTU9VP//v7/BjtF+aJk3kjn50PmZR7Um8NVg/8tXyiwj91CtVGx+9/cgi+QIHE/
Unm895rhYpnBEKaw+71YuvuvRla/1CGEHEFj213f46LpCfuQM6VRZxh/9a2SXth+6McyCes97wFDU610vcZqVwSwEOUjkFUOCoYkWXlSJ0b4zIIfYiVQXf3f7Yb/
VyJ8ECVrcDkwgpRAu2DItX1aV05DuFBfCF/cFlJwUMa4pSCxbT6c/YiWYZT2UBgWOHTGZRX1Bm2nioXsmfd726P4BGUVXXmkUFdESYhXW3Hnf9d7O7aSfHheKaTXncMDmT6Qqfqy+TtPuiKXmyFlVC9TQnpVNJ542/
UhcLGPewZlVcFXcavBE5lQEmGICPl/athC/vtAo0YAYCrs+NZyF9Dn2EqbbB0/
AO2mHAh66H1ZdPAgV2T5nQXIOJ/35TJxJveNjBLZBIiPsRGkCRGQSi860TVRCQi7mHjC0oyQPgDLzZSvUXLas3gCB3I7jdaujSHKKkyihRqa2oRsS5iJW+5/
SIs7fzU0xRS9dTBcy0KDK0kUwA=
}
```

### Output Data Properties

The following data item represents an authentication result that will be returned as part of a successful authentication\_get response.

| Name          | Type    | Format | Description                                            |
| ------------- | ------- | ------ | ------------------------------------------------------ |
| access\_token | String  |        | The access token.                                      |
| expires\_in   | Integer | Int32  | The expiration time, in seconds.                       |
| scope         | String  |        | The assigned scope (role) of the authentication token. |
| token\_type   | String  |        | The type of token. The default is Bearer.              |

